#!/bin/bash

clear
cat  <<!ASWMAutoInstallDescription!
This script will help you auto install ASWM core and model rpms determine by SYSTEM or MB name in DMI. If cannot detect support model, this script will install default model - Z8P(N)E-D12(X).
!ASWMAutoInstallDescription!

sysname=`dmidecode -s system-product-name`
mbname=`dmidecode -s baseboard-product-name`
supportsys=`grep -r "$sysname" 'supportfile'`
supportmb=`grep -r "$mbname" 'supportfile'`
echo
echo

# Check have installed
rpm -qa|grep aswm > /dev/null 2>&1

if [ `echo $?` == 0 ];then
	echo "Detect ASWM installed, would you want to uninstall them ?[Y/n] " 
	read yn
	if [ "$yn" == y ] || [ "$yn"  == Y ] || [ "$yn" == "" ];then
		for i in `rpm -qa --qf '%{NAME}\n' | grep aswm_|grep -v aswm_core`
		do
			echo "Uninstall $i"
			rpm -e $i
		done

		for i in `rpm -qa --qf '%{NAME}\n' |grep aswm_`
		do 
			echo "Uninstall $i"
			rpm -e $i
		done

		rpm -e "aswm_doc"
	else
		exit 0
	fi

fi



echo "Install ASWM...."
if [ "$supportsys" == "$sysname" ];then
	echo "Detect model $supportsys"
	sleep 2
	cd "$sysname"
	
	if [ "`uname -m`" == "x86_64" ];then
		rpm -ivh ./RHEL5/`uname -m`/aswm* && aswm_post_install
	else
		rpm -ivh ./RHEL5/i386/aswm* && aswm_post_install
		
	fi
	elif [ "$supportmb"  ==  "$mbname" ];then
	echo "Detect model $supportmb"
	sleep 2
	cd "$mbname"
		
	if [ "`uname -m`" == "x86_64" ];then
		rpm -ivh ./RHEL5/`uname -m`/aswm* && aswm_post_install
	else
		rpm -ivh ./RHEL5/i386/aswm* && aswm_post_install
		
	fi	

	else
		echo "Install default model. [ Z8P(N)E-D12(X) ]"
		sleep 2
		cd "Z8PE-D12X" 
	if [ "`uname -m`" == "x86_64" ];then
		rpm -ivh ./RHEL5/`uname -m`/aswm* && aswm_post_install
	else
		rpm -ivh ./RHEL5/i386/aswm* && aswm_post_install
	fi
fi
